"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license.
// See LICENSE in the project root for license information.
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileSystem = exports.Async = exports.PnpmShrinkwrapFile = exports.OperationStatus = exports.Operation = void 0;
const { Operation, OperationStatus } = ___rush___rushLibModule;
exports.Operation = Operation;
exports.OperationStatus = OperationStatus;
// Support this plugin being webpacked.
const req = typeof __non_webpack_require__ === 'function' ? __non_webpack_require__ : require;
const entryModule = req.main;
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function getExternal(name) {
    const externalPath = req.resolve(name, {
        paths: entryModule === null || entryModule === void 0 ? void 0 : entryModule.paths
    });
    return req(externalPath);
}
// Private Rush APIs
exports.PnpmShrinkwrapFile = getExternal('@microsoft/rush-lib/lib/logic/pnpm/PnpmShrinkwrapFile').PnpmShrinkwrapFile;
// Avoid bundling expensive stuff that's already part of Rush.
exports.Async = getExternal(`@rushstack/node-core-library/lib/Async`).Async;
exports.FileSystem = getExternal(`@rushstack/node-core-library/lib/FileSystem`).FileSystem;
//# sourceMappingURL=externals.js.map